Subject: Re: [PATCH net-next 1/2] net: phy: don't stop state machine in case of MDIO error

From: Andrew Lunn <[email-masked]>
Date: Sun, 16 Dec 2018 16:30:19 +0100

> After checking the fec history it seems that at the time this
> workaround was added as part of phylib support (8 years ago),
> the MDIO access timeout value was too low and therefore sometimes
> MDIO access failed. Later timeout was set to a higher value and
> driver switched to an event-driven mechanism to signal end of
> MDIO access. So it should be safe to remove the workaround.

Hi Heiner

Thanks for digging into the details.

> 
> One issue with phy_error() is that it silently stops the PHY.
> We should at least add a phydev_err() to let the user know.

Yes, that is a good idea.

     Andrew